> ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # List agents > Returns all agents in your workspace. ## OpenAPI ````json GET /v1alpha/agents { "openapi": "3.0.1", "info": { "contact": { "email": "support@torq.io", "name": "torq.io", "url": "https://torq.io" }, "title": "Torq Public API[production]", "version": "${DH_DEPLOY_VERSION}" }, "servers": [ { "url": "https://api.torq.io/public", "description": "US Environment" }, { "url": "https://api.eu.torq.io/public", "description": "European Enviornment" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "Files" }, { "name": "ActivityLogs" }, { "name": "AgentsHubService" }, { "name": "Users" }, { "name": "ApiKeys" }, { "name": "AuditLogs" }, { "name": "ContextGraph" }, { "name": "Executions" }, { "name": "ShareRequests" }, { "name": "StepRunners" }, { "name": "Integrations" }, { "name": "IPAccessService" }, { "name": "RolesService" }, { "name": "Secrets" }, { "name": "SecuritySettingsService" }, { "name": "ClaimMappings" }, { "name": "IdpSsoService" }, { "name": "Workflows" }, { "name": "Workspaces" }, { "name": "WorkspaceVariables" }, { "name": "Auto Triage Alerts" }, { "name": "Auto Triage Guidance" }, { "name": "Auto Triage Alert History" }, { "name": "Auto Triage Verdict Actions" }, { "name": "Cases" }, { "name": "Cases Custom Fields" }, { "name": "Cases Notes" }, { "name": "ExtendedCaseService" }, { "name": "Cases Attachments" }, { "name": "Observables" }, { "name": "Cases Observables" }, { "name": "CaseSearchService" }, { "name": "Cases Tasks" }, { "name": "Cases Task Templates" }, { "name": "Cases Links" }, { "name": "Cases Events" }, { "name": "Cases Runbooks" } ], "externalDocs": { "description": "Torq Documentation", "url": "https://learn.torq.io" }, "x-original-swagger-version": "2.0", "paths": { "/v1alpha/agents": { "get": { "description": "Returns all agents in your workspace.", "operationId": "listAgents", "responses": { "200": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1alphaListAgentsResponse" } } }, "description": "A successful response." }, "401": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token." }, "403": { "content": { "application/json": { "schema": { "type": "object" } } }, "description": "You don't have permission to access this resource." } }, "summary": "List agents", "tags": [ "AgentsHubService" ] } } }, "components": { "schemas": { "v1alphaListAgentsResponse": { "properties": { "agents": { "description": "The agents in your workspace.", "items": { "$ref": "#/components/schemas/agents_hubv1alphaAgent" }, "type": "array" } }, "type": "object" }, "agents_hubv1alphaAgent": { "description": "Agent contains the key identifying details of an agent, as returned by List agents and Get agent.", "properties": { "id": { "title": "Unique identifier of the agent", "type": "string" }, "name": { "title": "Display name of the agent", "type": "string" }, "description": { "title": "Optional description of the agent", "type": "string" }, "status": { "$ref": "#/components/schemas/v1alphaAgentStatus" } }, "type": "object" }, "v1alphaAgentStatus": { "default": "AGENT_STATUS_UNSPECIFIED", "description": "AgentStatus represents the lifecycle status of an agent.\n\n - AGENT_STATUS_UNSPECIFIED: Unspecified or unknown status.\n - AGENT_STATUS_DRAFT: Draft: the agent has no published revision.\n - AGENT_STATUS_PUBLISHED: Published: the agent's latest revision is published, with no unpublished changes.\n - AGENT_STATUS_UNPUBLISHED_CHANGES: Unpublished changes: the agent has a published revision, but a newer draft exists.", "enum": [ "AGENT_STATUS_UNSPECIFIED", "AGENT_STATUS_DRAFT", "AGENT_STATUS_PUBLISHED", "AGENT_STATUS_UNPUBLISHED_CHANGES" ], "type": "string" } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "64fb4b65-44d8-4304-881c-b1f8b6b3100a" } } } } ````